Bug 85592 - No support for canadian normalized keyboard
No support for canadian normalized keyboard
Product: Red Hat Linux
Classification: Retired
Component: kbd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-03-04 14:54 EST by Sébastien Taylor
Modified: 2013-05-06 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-26 20:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
console keyboard map for canadian normalized keyboard (17.71 KB, text/plain)
2003-07-14 13:35 EDT, Sébastien Taylor
no flags Details

  None (edit)
Description Sébastien Taylor 2003-03-04 14:54:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.0.1) Gecko/20021003

Description of problem:
Though the installer supports the old "French Canadian" standard it does not
support the new Canadian Normalized Keyboard standard which is the official
standard in Canada, for use by people speaking either French or English (or
both).  XFree86 has had support for this for a long time now, and is available
by manually selecting the "ca" keyboard layout in the XF86Config file.  The
console does not seem to come with support for this layout but there is a copy
available from the French Linux HOWTO.  I can send the keymap upon request.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Trying to use the french canadian keymap has expected results, but the
normalized canadian keyboards are quite a bit different.

Additional info:

The standard describing the normalized canadian keyboard is: CAN/CSA Z243.200-92
and information is available here: 

The French-Linux HOWTO is available at: 
Comment 1 Brent Fox 2003-03-20 15:58:32 EST
Transferring to kbd.  Once we have a console keymap available, I'll add an entry
for Canadian Normalized keyboards to our keyboard list in rhpl.

Comment 2 Sébastien Taylor 2003-03-20 16:11:37 EST
Should I email the keyboard map which I am using?  To whom?
Comment 3 Eido Inoue 2003-07-14 12:38:23 EDT
Please attach the map to this bug. Also, is this map just for Quebec or
French-Canadian? Is there another map for Canadian English? Is it different from
the Canadian keyboard we currently have?
Comment 4 Sébastien Taylor 2003-07-14 13:33:47 EDT
The standard english keyboards in canada are the same as the standard english american 
keyboards, and the canadian hybrids are the same as the american international AFAIK.  The 
keyboard in question is the official keyboard in canada (though only the default in qubec/new-
brunswick and federal government offices, english uses are still given us keyboards).  In qubec 
the old style keyboard (which is the map you currently offer) is still sold, though less and less, with 
this new standardized version becoming more and more popular.  Most computers sold in the past 
4 years have this new style.  One quick way to identify it (could be usefull durring the install) is 
that the old style has the slash on SHIFT+3 and on the new style the slash is accessed by simply 
hitting the key on the left of the 1 (I think it's the ` key on the us keyboard).  In XFree86 you 
simply need to use the "ca" map, and possible swap the RALT & RCTL depending on the keyboard, 
sometimes they have them backwards for some reason. RALT+/ should give a | for example, if it 
gives the funny top right angle border symbol, RALT & RCTL need to be flipped.  On the console, 
the cn-latin1.map file I've attached should do the trick.  OK- Well, I'm unable to attach the file, 
after login in and telling it to attach the file, it wants me to login again, and this keeps on going, 
I'll try from another browser after this, otherwise I'll just email it to you.
Comment 5 Sébastien Taylor 2003-07-14 13:35:50 EDT
Created attachment 92918 [details]
console keyboard map for canadian normalized keyboard
Comment 6 Eido Inoue 2004-02-26 20:35:02 EST
still no canadian normalized map as of kbd 1.12. UPSTREAM problem.

Note You need to log in before you can comment on or make changes to this bug.